import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Ditopn{
    constructor () {
        this.data = {
						lidgrp:{
							rec:{
								ownref:"",			//  参考号		.lidgrp.rec.ownref
								lcrtyp:"",			//  信用证类型		.lidgrp.rec.lcrtyp
								opndat:"",			//  开证日期		.lidgrp.rec.opndat
								expdat: "",			// 有效日期
								shpdat:"",			//  最迟装运日期/最迟服务提供日		.lidgrp.rec.shpdat
								expdat:"",			//  Date of Expiry		.lidgrp.rec.expdat
								expplc:"",			//  有效地点		.lidgrp.rec.expplc
								shptrs:"",			//  转运		.lidgrp.rec.shptrs
								nam:"",			//  Externally Displayed Name to Identify the Contract		.lidgrp.rec.nam
								resflg:"",			//  Reserved Contract		.lidgrp.rec.resflg
								nomspc:"",			//  最高金额限额		.lidgrp.rec.nomspc
								nomtop:"",			//  Amount Tolerance - Positive		.lidgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.lidgrp.rec.nomton
								shppar:"",			//  分批装运/分次服务		.lidgrp.rec.shppar
								guaflg:"",			//  货押标识		.lidgrp.rec.guaflg
								isstyp:"",			//  开证类型		.lidgrp.rec.isstyp
								jjhb:"",			//  追加借据号		.lidgrp.rec.jjhb
								jjh:"",			//  借据号		.lidgrp.rec.jjh
								jylx:"",			//  交易类型		.lidgrp.rec.jylx
								revtyp:"",			//  Revolving Type		.lidgrp.rec.revtyp
								revtimes:"",			//  Revolve Times		.lidgrp.rec.revtimes
								revnbr:"",			//  Number of Revolvings under L/C		.lidgrp.rec.revnbr
								revdat:"",			//  Next Revolve Date		.lidgrp.rec.revdat
								revawapl:"",			//  Awaiting Applicant's Request		.lidgrp.rec.revawapl
								revcum:"",			//  Credit is Marked as Cumulative		.lidgrp.rec.revcum
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								rmbcha:"",			//  Charges Definition		.lidgrp.rec.rmbcha
								rmbact:"",			//  Reimbursing Bank Account Identification		.lidgrp.rec.rmbact
								apprulrmb:"",			//  Applicable Rules RMB		.lidgrp.rec.apprulrmb
								autdat:"",			//  Date of Authorisation to Reimburse		.lidgrp.rec.autdat
								avbby:"",			//  付款方式		.lidgrp.rec.avbby
								shpfro:"",			//  货物起运地/服务提供地		.lidgrp.rec.shpfro
								shpto:"",			//  目的地		.lidgrp.rec.shpto
								tenmaxday:"",			//  付款期限		.lidgrp.rec.tenmaxday
								tratyp:"",			//  运输方式/服务提供方式		.lidgrp.rec.tratyp
								yfxx:"",			//  议付选项		.lidgrp.rec.yfxx
							},
							cbs:{
								nom1:{
									cur:"",			//  信用证金额		.lidgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.lidgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  信用证最大金额		.lidgrp.cbs.max.cur
									amt:"",			//  信用证最大金额		.lidgrp.cbs.max.amt
								},
							},
							apl:{
								pts:new Pts().data,
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.apl.dbfadrblkcn
								pta:{
									issbchinf:"",			//  Info of bank		.lidgrp.apl.pta.issbchinf
								},
							},
							adv:{
								pts:new Pts().data,
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.adv.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ben.dbfadrblkcn
							},
							blk:{
								revcls:"",			//  Revolving Clause		.lidgrp.blk.revcls
								revnotes:"",			//  Notes to Applicant		.lidgrp.blk.revnotes
								lcrgod:"",			//  货物描述/服务描述		.lidgrp.blk.lcrgod
								lcrdoc:"",			//  单据要求		.lidgrp.blk.lcrdoc
								adlcnd:"",			//  附加条款		.lidgrp.blk.adlcnd
								insbnk:"",			//  Instructions to Paying/Accepting/Negotiating Bank		.lidgrp.blk.insbnk
								rmbcha:"",			//  Other Charges		.lidgrp.blk.rmbcha
								defdet:"",			//  付款指示		.lidgrp.blk.defdet
								preper:"",			//  付款指示		.lidgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.lidgrp.blk.preperflg
								yfbwthtxt:"",			//  Available in		.lidgrp.blk.yfbwthtxt
								ysfs:"",			//  运输方式		.lidgrp.blk.ysfs
								fqzy:"",			//  分期装运		.lidgrp.blk.fqzy
							},
							rmb:{
								pts:new Pts().data,
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.rmb.dbfadrblkcn
							},
							age:{
								pts:new Pts().data,
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.age.dbfadrblkcn
							},
							yfb:{
								pts:new Pts().data,
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.yfb.dbfadrblkcn
							},
						},
						litp1:{
							recget:{
								sdamod:{
									seainf:"",			//  		.litp1.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.litp1.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  经办人		.litp1.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.litp1.usrget.sdamod.seainf
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp1.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp1.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp1.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp1.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp1.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp1.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							amt:"",			//  大写金额		.litp1.amt
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp1.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp1.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbnar:"",			//  MT747 :77A:		.litp1.rmbnar
							agep:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp1.agep.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp1.agep.ptsget.sdamod.dadsnd
									},
								},
							},
							yfbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp1.yfbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp1.yfbp.ptsget.sdamod.dadsnd
									},
								},
							},
							signam:"",			//  name of authorized signatory		.litp1.signam
							bennam:"",			//  english name		.litp1.bennam
							aplname:"",			//  apl english name		.litp1.aplname
						},
						litbenl1blk:"",			//  XMLPanel litbenl1的内置block		.litbenl1blk
						litapll1blk:"",			//  XMLPanel litapll1的内置block		.litapll1blk
						litrmbl1blk:"",			//  XMLPanel litrmbl1的内置block		.litrmbl1blk
						setmod:{
							docamttyplab:"",			//  settled amount type used as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
							},
							autclr:"",			//  自动清算		.setmod.autclr
							setfog:{
								setfop:[]       //  境外佣金/费用        .setmod.setfog.setfop
							},
							setfeg:{
								setfep:[]        //  我方佣金/费用        .setmod.setfeg.setfop
							},
							setglg:{
								setglp:[]        //  结算        .setmod.setglg.setglp
							},
							actnot:""

						},
						liaall:{
							liaallg:[],
							misamt:"",			//  未分配金额		.liaall.misamt
							concur:"",			//  表外记账金额		.liaall.concur
							outpct:"",			//  Sight Amount Percentage		.liaall.outpct
							outamt:"",			//  即期金额		.liaall.outamt
							exttotoldamt:"",			//  原表外记账金额		.liaall.exttotoldamt
							exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
							liaccv:{
								newamt:"",			//  合同金额		.liaall.liaccv.newamt
								concur:"",			//  应付保证金金额		.liaall.liaccv.concur
								totcovamt:"",			//  金额涵盖内容		.liaall.liaccv.totcovamt
								newresamt:"",			//  预留金额		.liaall.liaccv.newresamt
								addinf:"",			//  附加信息		.liaall.liaccv.addinf
								cshpct:"",			//  保证金应收比例		.liaall.liaccv.cshpct
								relcshpct:"",			//  保证金实收比例		.liaall.liaccv.relcshpct
								gleflg:"",			//  Create gle flag		.liaall.liaccv.gleflg
								chgcurflg:"",			//  Change currency flag		.liaall.liaccv.chgcurflg
								pctresamt:"",			//  reserve amount based percent		.liaall.liaccv.pctresamt
							},
						},
						litameadv:"",			//  特殊规定		.litameadv
						ameadvrmk:"",			//  特殊规定条件		.ameadvrmk
						godnam:"",			//  �'�物简称		.godnam
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  Execution Date		.mtabut.coninf.conexedat
							},
						},
						pageId: ""			// ctx的key
				}
    }
}